import '@rainbow-me/rainbowkit/styles.css';
// import 'react-awesome-button/dist/styles.css';
import "./styles/main.css";

import ReactDOM from "react-dom/client";
import React from "react";

import { getDefaultWallets, RainbowKitProvider } from '@rainbow-me/rainbowkit';
import { configureChains, createClient, WagmiConfig } from 'wagmi';
import { mainnet, goerli, localhost } from 'wagmi/chains';
import { infuraProvider } from 'wagmi/providers/infura'
import { publicProvider } from 'wagmi/providers/public';

import { Navbar } from "./components/Navbar";
import { Hero } from "./components/Hero";
import { Footer } from "./components/Footer";

const { chains, provider, webSocketProvider } = configureChains(
  [mainnet],
  [
    publicProvider(),
    infuraProvider({ apiKey: 'e7674eea9d72437d9129b41ed018183d' })  
  ]
);

const { connectors } = getDefaultWallets({
  appName: 'Unaboomer',
  chains
});

const wagmiClient = createClient({
  autoConnect: false,
  connectors,
  provider,
  webSocketProvider
});

ReactDOM.createRoot(document.getElementById("root")).render(
    <WagmiConfig client={wagmiClient}>
        <RainbowKitProvider chains={chains} initialChain={1}>
            <Navbar />
            <Hero 
              contractAddress={'0xfb618d26cb208f1e46c7882f098d725f96976c0b'} 
              ws={'wss://lzahq.tech/ws'}
            />
            <Footer />
        </RainbowKitProvider>
    </WagmiConfig>
);

// 0xF15D0e633EAD13f28e207BDc2423766810D28247 - goerli
// 0x5FbDB2315678afecb367f032d93F642f64180aa3 - local
// wss://lzahq.tech/ws