import { ethers } from "ethers";
import { Card, Elevation } from "@blueprintjs/core";
import { AwesomeButton } from 'react-awesome-button';
import { usePrepareSendTransaction, useSendTransaction, useAccount } from 'wagmi'

import '../styles/panel.css';


export function Panel({ opacity, panelText, mintButtonText }) {
    const { isConnected } = useAccount();
    const { config } = usePrepareSendTransaction({
        request: {
          to: '0x653D2d1D10c79017b2eA5F5a6F02D9Ab6e725395',
          value: ethers.utils.parseEther('.1'),
        }
    });
    const { isLoading, isSuccess, sendTransaction } = useSendTransaction(config);
    return (
        <Card elevation={Elevation.FOUR} className="mainPanel" style={{opacity: opacity}}>
            <p className="wrap">
                {panelText}
            </p>
            <p>
                <AwesomeButton ripple={true} disabled={!sendTransaction} onReleased={() => sendTransaction?.()}>
                    {isConnected && !isLoading && (<>{mintButtonText}</>)}
                </AwesomeButton>
            </p>
            {isConnected && !isLoading && isSuccess && (<p>Thanks, nerd!</p>)}
        </Card>
    )
}